---
title: WebGL2RenderingContext.uniformBlockBinding()
slug: Web/API/WebGL2RenderingContext/uniformBlockBinding
tags:
  - API
  - Method
  - Reference
  - WebGL
  - WebGL2
---
<div>{{APIRef("WebGL")}}</div>

<p>The <strong><code>WebGL2RenderingContext.uniformBlockBinding()</code></strong> method of the <a href="/en-US/docs/Web/API/WebGL_API">WebGL 2 API</a> assigns binding points for active uniform blocks.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox">void <var>gl</var>.uniformBlockBinding(<var>program</var>, <var>uniformBlockIndex</var>, <var>uniformBlockBinding</var>);</pre>

<h3 id="Parameters">Parameters</h3>

<dl>
 <dt><code>program</code></dt>
 <dd>A {{domxref("WebGLProgram")}} containing the active uniform block whose binding to assign.</dd>
 <dt><code>uniformBlockIndex</code></dt>
 <dd>A {{domxref("GLuint")}} specifying the index of the active uniform block within the program.</dd>
 <dt>uniformBlockBinding</dt>
 <dd>A {{domxref("GLuint")}} specifying the binding point to which to bind the uniform block.</dd>
</dl>

<h3 id="Return_value">Return value</h3>

<p>None.</p>

<h2 id="Examples">Examples</h2>

<pre class="brush: js">gl.uniformBlockBinding(program, 0, 1);</pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName('WebGL2', "#3.7.16", "uniformBlockBinding")}}</td>
   <td>{{Spec2('WebGL2')}}</td>
   <td>Initial definition for WebGL.</td>
  </tr>
  <tr>
   <td>{{SpecName('OpenGL ES 3.0', "glUniformBlockBinding.xhtml", "glUniformBlockBinding")}}</td>
   <td>{{Spec2('OpenGL ES 3.0')}}</td>
   <td>Man page of the (similar) OpenGL API.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p class="hidden">The compatibility table in this page is generated from structured data. If you'd like to contribute to the data, please check out <a href="https://github.com/mdn/browser-compat-data">https://github.com/mdn/browser-compat-data</a> and send us a pull request.</p>

<p>{{Compat("api.WebGL2RenderingContext.uniformBlockBinding")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li>{{domxref("WebGL2RenderingContext.getUniformIndices()")}}</li>
</ul>
